Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf.genes
Interface Chromosome

All Superinterfaces
  Serializable, ValueProvider

    public interface Chromosome

extends Serializable, ValueProvider

`Chromosome` represents a collection of `Genes`. A chromosome object my represent either the `default` chromosome or an "instance" chromosome. The set of genes in an instance chromosome is considered to be the union of genes in both the instance and default chromosomes, and genes in the instance chromosome override genes from the default chromosome.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Nested Class Summary
`static class` | `Chromosome.Source` Enumeration of the possible sources for the chromosome.

Field Summary
`static String` | `DEFAULT_NAME` Name of the default chromosome.

Method Summary
`boolean` | `containsGene(String name)` Indicates whether the instance or default chromosome contains a gene with the specified name.
`Gene` | `getGene(String name)` Returns the specified gene if it exists in either the instance or default chromosomes.
`Set<String>` | `getGeneNames()` Returns a collection of all gene names, which is the union of gene names in instance and default chromosomes.
`String` | `getName()` Returns the chromosome name.
`Chromosome.Source` | `getSource()` Returns the chromosome source.

Methods inherited from interface com.bea.netuix.laf.genes.ValueProvider
`getValue`

Field Detail

### DEFAULT_NAME

    static final String DEFAULT_NAME

  Name of the default chromosome.

  See Also
    Constants Summary

Method Detail

### getSource

    Chromosome.Source getSource()

  Returns the chromosome source.

### getName

    String getName()

  Returns the chromosome name.

### getGeneNames

    Set<String> getGeneNames()

  Returns a collection of all gene names, which is the union of gene names in instance and default chromosomes.

  Returns
    The collection of gene names

### containsGene

    boolean containsGene(String name)

  Indicates whether the instance or default chromosome contains a gene with the specified name.

  Parameters
    `name` - The gene name
  Returns
    true if the chromosome (or the default) contains the specified gene name

### getGene

    Gene getGene(String name)

  Returns the specified gene if it exists in either the instance or default chromosomes.

  Parameters
    `name` - The gene name
  Returns
    The specified gene object; null if gene does not exist

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.